Bug 636714 - Dashboard manual color field silently accepts bad colors
Dashboard manual color field silently accepts bad colors
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: rhq4 jon30-dashboard
  Show dependency treegraph
 
Reported: 2010-09-22 21:53 EDT by Corey Welton
Modified: 2011-05-23 21:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-09-22 21:53:51 EDT
Description of problem:
In Edit mode, user can enter any number of appropriate colors in the "Background" field, hit tab, and the color is changed.  However if user enters something invalid, it is accepted (and messages indicate that it is saved).

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.  Go into edit mode for a dashboard tab.
2.  in the free text field, enter the value "red" and hit tab.  Notice the color change and the message tray notice that it was successfully saved
3.  Repeat step 2 with valid hex or named colors, i.e., "limegreen", "slategray", "skyblue"
4.  Repeat again with the term "snortblatt"
  
Actual results:
Value gets saved regardless as to whether it is bogus.

Expected results:
Rejection?

Additional info:
Interestingly, navigating away from dash and back to it, the color of the dash itself is returned to something sane, white.  The bogus value remains in the field however.
Comment 1 Corey Welton 2010-09-22 21:55:19 EDT
Also another interesting aside, multibyte chars entered into that field _do_ get rejected -- the value gets reverted back to the last known good value.
Comment 2 John Mazzitelli 2011-02-18 12:29:11 EST
commit 4c20f81

using new rhq color button item component. it uses less real estate than the original color picker item and it avoids allowing you to enter invalid colors.

to see this - go to edit the dashboard and see there is a new "Background" button. click it and you can select a color.
Comment 3 Corey Welton 2011-03-02 16:51:52 EST
Verified.
Comment 4 Corey Welton 2011-05-23 21:16:39 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:16:44 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:16:45 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:16:52 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.